# BEGIN SourceDeps(oneline):
BuildRequires: perl(IO/Socket.pm) perl(Net/Cmd.pm) perl(Net/Domain.pm) perl(Socket.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Net-LMTP
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Local Mail Transfer Protocol Client
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/L/LH/LHOWARD/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module implements a client interface to the LMTP 
protocol, enabling a perl5 application to talk to LMTP servers. This
documentation assumes that you are familiar with the concepts of the
LMTP protocol described in RFC2033.  This module is based on Net::SMTP 
and shares more than %%95 of its code with Net::SMTP.

A new Net::LMTP object must be created with the *new* method. Once
this has been done, all LMTP commands are accessed through this object.

The Net::LMTP class is a subclass of Net::Cmd and IO::Socket::INET.

Net::LMTP does not yet implement full implementation of the protocol as 
specified in RFC2033.  In particular, handling per-recipient reply codes 
from the DATA command is not yet implemented.  Net::LMTP can still be used to 
deliver to multiple recipients, but you will not be able to get the 
DATA reply code for each recipient.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/N*

%changelog
* Wed Sep 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

